6.0.0-git
2019-04-25

[#7084] SQL portability, column does not exist - with shares.
Summary SQL portability, column does not exist - with shares.
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester barryp (at) medicine (dot) nodak (dot) edu
Created 2008-07-19 (3932 days ago)
Due
Updated 2008-07-20 (3931 days ago)
Assigned 2008-07-20 (3931 days ago)
Resolved 2008-07-20 (3931 days ago)
Milestone 3.2.2
Patch No

History
2008-07-20 14:20:12 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
Fixed for 3.2.2 - thanks for the report.
2008-07-20 04:38:18 Chuck Hagenbuch Milestone ⇒ 3.2.2
 
2008-07-20 04:37:48 Chuck Hagenbuch Patch ⇒ No
 
2008-07-20 04:37:41 Chuck Hagenbuch Deleted Original Message
 
2008-07-20 04:37:30 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Assigned
Reply to this comment
I have this fixed locally.
2008-07-19 18:00:20 barryp (at) medicine (dot) nodak (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ SQL portability, column does not exist - with shares.
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: horde.patch
Reply to this comment
I'm getting this error with PostgreSQL 8.3.3, after I've added myself 
to a group.  I believe it's the same deal as with bug [#7075].  I've 
attached a patch to show where the problem is, not quite sure what the 
cool way to do quoting would be in this case.



----------

ERROR:  column "3" does not exist at character 311



STATEMENT:  SELECT s.*  FROM nag_shares s  LEFT JOIN nag_shares_users 
AS u ON u.share_id = s.share_id LEFT JOIN

nag_shares_groups AS g ON g.share_id = s.share_id WHERE s.share_owner 
= 'barryp' OR (s.perm_creator & 4) <> 0 OR

(s.perm_default & 4) <> 0 OR ( u.user_uid = 'barryp' AND (u.perm & 4) 
<> 0) OR ( g.group_uid IN ("3") AND (g.perm & 4) <> 0)

ORDER BY s.attribute_name ASC

-------------

Saved Queries